Loading...
Searching...
No Matches
debug.h File Reference
`#include <BALL/CONFIG/config.h>`
`#include <string>`
`#include <cstring>`

Go to the source code of this file.

## Macros

#define | BALL_INLINE inline
#define | BALL_PRECONDITION_EXCEPTION(condition, message)
#define | BALL_POSTCONDITION_EXCEPTION(condition, message)
#define | BALL_PRINT_BACKTRACE()

## Macro Definition Documentation

## BALL_INLINE

#define BALL_INLINE inline

Definition at line 15 of file debug.h.

## BALL_POSTCONDITION_EXCEPTION

#define BALL_POSTCONDITION_EXCEPTION | ( |  | condition,
|  |  | message )

Definition at line 90 of file debug.h.

## BALL_PRECONDITION_EXCEPTION

#define BALL_PRECONDITION_EXCEPTION | ( |  | condition,
|  |  | message )

Definition at line 89 of file debug.h.

## BALL_PRINT_BACKTRACE

#define BALL_PRINT_BACKTRACE | ( |  | ) |

Definition at line 91 of file debug.h.